#ifndef SYSTEM_BROADCAST_H
#define SYSTEM_BROADCAST_H TRUE

/*
**  broadcast.h
**
**  (C) Copyright 1996-2004 Rocklyte Systems.
**      All Rights Reserved.
**
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Broadcast methods.
*/

#define MT_Broadcast        -1
#define MT_SubscribeEvent   -2
#define MT_UnsubscribeEvent -3

#define mtBroadcast(a,b,c,d,e,f)  (ActionTags(MT_Broadcast,(a),(b),(c),(d),(e),(f)))
#define mtSubscribeEvent(a,b,c)   (ActionTags(MT_SubscribeEvent,(a),(b),(c)))
#define mtUnsubscribeEvent(a,b,c) (ActionTags(MT_UnsubscribeEvent,(a),(b),(c)))

struct mtBroadcast {
   LONG     EventID;
   OBJECTID ObjectID;
   LARGE    Integer;
   APTR     Buffer;
   LONG     Size;
};

struct mtSubscribeEvent {
   OBJECTID SubscriberID;
   LONG EventID;
};

struct mtUnsubscribeEvent {
   OBJECTID SubscriberID;
   LONG EventID;
};

/*****************************************************************************
** Broadcast event ID's.
*/

enum {
   EVT_NewTask=1,
   EVT_TaskCrashed,
   EVT_LowMemory,
   EVT_FileCreated,
   EVT_FileDeleted,
   EVT_ResolutionChange,
   EVT_UserLogin,
   TOTAL_EVENTS
};

#endif /* SYSTEM_BROADCAST_H */
